Pump data into an active hashing context from a file

- « hash_pbkdf2

- hash_update_stream »

- PHP Manual
- Hash Functions
- Pump data into an active hashing context from a file

# hash_update_file

(PHP 5 >= 5.1.2, PHP 7, PHP 8, PECL hash >= 1.1)

hash_update_file — Pump data into an active hashing context from a file

### Description

hash_update_file(HashContext `$context`, string `$filename`, ?resource `$stream_context` = `null`): bool

### Parameters

`context`

  Hashing context returned by hash_init().

`filename`

  URL describing location of file to be hashed; Supports fopen wrappers.

`stream_context`

  Stream context as returned by stream_context_create().

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `stream_context` is now nullable.
7.2.0 | Accept HashContext instead of resource.

### See Also

- hash_init() - Initialize an incremental hashing context
- hash_update() - Pump data into an active hashing context
- hash_update_stream() - Pump data into an active hashing context from an open stream
- hash_final() - Finalize an incremental hash and return resulting digest
- hash() - Generate a hash value (message digest)
- hash_file() - Generate a hash value using the contents of a given file